Page MenuHomePhabricator

Use text for project name instead of generic logos
Closed, ResolvedPublic

Description

Problem

Various projects are showing non-localised logo including several wikivoyage projects and Wikitionary.

We should ensure that all projects had a translated project name,

For example zh.wikivoyage should no longer has an English logo:

Before:

after:

Why new logos?

Logos on the mobile site require careful consideration as they are different dimensions from logos used on the desktop site. Each individual logo must be fitted to the chrome header and care must be taken to align the typography with the menu and search icons.

Designing a new logo is not a simple case of resizing - there's things like font kerning to consider here and every logo we've enabled so far has gone through a few round of iterations which have always been helped by helpful volunteers verifying our changes as our design team does not speak every single language we support.

Solution

Wiktionary:

  • Stop using a logo. Use text for all projects

Wikivoyage:

  • Use text instead of logo for zh, fa, es

Future work

We'll add logos to any projects who request them but we'll do that on a case by case basis.

The branding project goal was to make people become familiar with the project names and logo they were on for each individual project so we're not going to use a global logo without words when we can use localised text.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterLogo changes for various wiki projects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2017, 3:35 AM
bmansurov updated the task description. (Show Details)Apr 3 2017, 11:43 AM
bmansurov moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
Nemo_bis added a subscriber: Nemo_bis.
ovasileva triaged this task as High priority.Apr 3 2017, 12:24 PM

Note that some wiki's are already configured to show the correct logo. Here is the list: frwiki, jawiki, ruwiki, cawiki, hiwiki, hewiki, wikivoyage, wiktionary, and commonswiki.

Which languages for wikipedia should keep the logo? We need a thorough whitelist for this before this can be considered actionable. (Note that some languages use the exact same logo/text)

I said to @Nirzar that it might be worth declining this task and fixing issues on a case by case basis, relying on community members who know these projects to bring up localisation issues. I'm worried if we go into this blindly we're going to downgrade a bunch of projects who use the default logo. Alternatively, if we want to go ahead like this, it would be better to provide a comprehensive list of all the projects where we don't want to show a logo so we can address this in a single deployment. Can you own this @Nirzar?

Nirzar changed the task status from Open to Stalled.Apr 26 2017, 7:42 PM
Nemo_bis added a comment.EditedApr 27 2017, 12:41 PM

That's quite backwards: rather than impose a wrong mark/logo and fix on a case by case basis, you should use a correct logo by default. What's wrong with using the global logo of each project by default?

@Nemo_bis global logo?

Each Wikimedia project has a global/multilingual logo, designed for usage e.g. in the respective portal. For instance for Wiktionary it's https://meta.wikimedia.org/wiki/File:Wiktionary-logo.svg . You can find more information on https://meta.wikimedia.org/wiki/Logo .

Jdlrobson renamed this task from Show localized string for project name instead of wikipedia english wordmark to Use text for project name instead of generic logos.Jul 5 2017, 11:32 PM
Jdlrobson changed the task status from Stalled to Open.
Jdlrobson raised the priority of this task from Low to Normal.
Jdlrobson updated the task description. (Show Details)

Projects can and are requesting logos.

From our experience so far, each logo has to be measured correctly for the mobile usage and it would be a lot of work to update all sites in one go.
Each logo we've changed so far has had problems so it's useful to have a community member from the target wiki requesting for testing.

We should however fall back to text when no logo is defined. I've updated the description to reflect the sites that should be fixed. I then say we resolve this and grant logos to new projects on a case by case basis. Even though each project has its own global/multilingual logo, we need to make sure the image is the correct dimensions for display in the mobile site.

Change 364241 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Logo changes for various wiki projects

https://gerrit.wikimedia.org/r/364241

Change 364241 merged by jenkins-bot:
[operations/mediawiki-config@master] Logo changes for various wiki projects

https://gerrit.wikimedia.org/r/364241

Jdlrobson closed this task as Resolved.Jul 10 2017, 8:28 PM

All projects have a localised logo now. Projects can and should request improvements to improve a specific project's logo by raising a new phabricator task.

Either the summary or the status of the task is incorrect, please alter as needed.

I only see a dozen "custom logos" in the configuration after the patch ago, while hundreds exist: https://meta.wikimedia.org/wiki/User:Cbrown1023/Logos
Either you're ready to use/adapt the localised logo for all projects which need one, or you should use the global logo (without words).

Jdlrobson updated the task description. (Show Details)Jul 11 2017, 9:25 PM

Why is the fallback for Wikipedia to use the English logo? Surely the local name as text would be better there too?

@Esanders only because we thought we'd covered all the Wikipedia wikis.
Are there any wikipedia's you are seeing that are not localised correctly? There's a lot so very possible we missed some (thanks for finding the Welsh one btw!)

Just looking at https://meta.wikimedia.org/wiki/List_of_Wikipedias there are probably over 100 wikis not using the Latin script, we only have 7 logos. There are also many Latin logos that aren't simply Wikipedia that we don't have.

Going by a site config file for site name, it's 86 logos over 127 wikis:

Biquipédiamwl
Güiquipeyaext
Huiquipedianah
Uicipeidgd
Vichipediefur
Vicipaediala
Vicipéidga
Vikipedejaltg
Vikipeditr
Vikipediivep
Vikipedijalt
Vikipedioeo
Vikipediyaaz, crh, gag, uz
Vikipedyalad
Vikipeediaet
Vikipetãgn
Vikipidiyarmy
Vikipēdijalv
Viquipèdiaca
Vouiquipèdiafrp
Vükipedvo
Wicipediacy
Wikipediecs, nds-nl
Wikipediiolo
Wikipedijadsb, hr, hsb, mt, sl
Wikipedioio
Wikipediýatk
Wikipedyfy
Wikipedyaht
Wikipetciaatj
Wikipidiabjn, jam
Wikipèdiaoc
Wikipédiafr, hu, pt, sk
Wikipǣdiaang
Wîkîpediyaku
Βικιπαίδειαel, pnt
Авикипедиаab
Бикипиэдьийэsah
Википедиce, cv, mrj, os
Википедиаmn, tg
Википедиеady
Википедиесьmdf
Википедийmhr
Википедияba, koi, krc, lbe, lez, ru, tyv, udm
Википедиясьmyv
Википедијаmk, sr
Википєдїꙗcu
Вікіпедыяbe, rue, uk
Вікіпэдыяbe-tarask
Уикипедиэkbd
Уикипедияbg, kk
Վիքիպեդիաhy
ויקיפדיהhe
װיקיפּעדיעyi
ويكيبيدياar, arz
ويکيپېډياps
وکیپیڈیاpnb
ویکیپیدیاckb
ویکیپیڈیاur
ویکی‌پدیاazb, fa, mzn
ڤیکیپئدیاlrc
ܘܝܩܝܦܕܝܐarc
ވިކިޕީޑިއާdv
विकिपिडियाdty, mai
विकिपीडियाbh, gom, hi, mr, ne, sa
অসমীয়া ৱিকিপিডিয়াas
উইকিপিডিয়াbn, bpy
ਵਿਕੀਪੀਡੀਆpa
વિકિપીડિયાgu
ଉଇକିପିଡ଼ିଆor
விக்கிப்பீடியாta
వికీపీడియాte
ವಿಕಿಪೀಡಿಯkn, tcy
വിക്കിപീഡിയml
විකිපීඩියා, නිදහස් විශ්වකෝෂයsi
วิกิพีเดียth
ວິກິພີເດຍlo
ဝီကီပီးဒီးယားmy
ვიკიპედიაka, xmf
ውክፔዲያam
ᐅᐃᑭᐱᑎᐊiu
វិគីភីឌាkm
維基大典zh-classical
維基百科gan
维基百科wuu
위키백과ko

Thanks I've setup T171181 to get this fixed.